<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cl_bg"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="#9F998F">

    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#C8000000"/>

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:paddingStart="12dp"
        android:paddingTop="12dp"
        android:src="@drawable/course_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_share"
        android:layout_width="36dp"
        android:layout_height="0dp"
        android:paddingEnd="12dp"
        android:src="@drawable/course_share"
        app:layout_constraintEnd_toEndOf="parent"
        android:paddingTop="12dp"
        app:layout_constraintTop_toTopOf="@id/iv_back"
        app:layout_constraintBottom_toBottomOf="@id/iv_back"/>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_back">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_pic"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="34dp"
                android:layout_marginTop="28dp"
                android:layout_marginEnd="34dp"
                android:scaleType="fitXY"
                app:layout_constraintDimensionRatio="1:1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:src="@drawable/picture_album_bg" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:textStyle="bold"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="32dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="@android:color/white"
                android:textSize="18sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_pic"
                tools:text="关注孩子心理健康，18天带领孩子1111111111" />

            <androidx.constraintlayout.utils.widget.ImageFilterView
                android:id="@+id/iv_icon"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_marginStart="33dp"
                android:layout_marginTop="15dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_title"
                app:roundPercent="1"
                tools:src="@drawable/picture_album_bg" />

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:paddingStart="8dp"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                app:layout_constraintBottom_toBottomOf="@id/iv_icon"
                app:layout_constraintStart_toEndOf="@id/iv_icon"
                app:layout_constraintTop_toTopOf="@id/iv_icon"
                tools:text="你好啊" />

            <ImageView
                android:id="@+id/iv_detail"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_marginTop="56dp"
                android:src="@drawable/course_detail"
                app:layout_constraintEnd_toStartOf="@id/iv_speed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_name" />

            <ImageView
                android:id="@+id/iv_speed"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/course_speed"
                app:layout_constraintEnd_toStartOf="@id/iv_list"
                app:layout_constraintStart_toEndOf="@id/iv_detail"
                app:layout_constraintTop_toTopOf="@id/iv_detail" />

            <ImageView
                android:id="@+id/iv_list"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/course_list"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_speed"
                app:layout_constraintTop_toTopOf="@id/iv_detail" />

            <TextView
                android:id="@+id/tv_detail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingTop="7dp"
                android:text="详情"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                app:layout_constraintEnd_toStartOf="@id/tv_speed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_detail" />

            <TextView
                android:id="@+id/tv_speed"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingTop="7dp"
                tools:text="1.0X"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                app:layout_constraintEnd_toStartOf="@id/tv_list"
                app:layout_constraintStart_toEndOf="@id/tv_detail"
                app:layout_constraintTop_toTopOf="@id/tv_detail" />

            <TextView
                android:id="@+id/tv_list"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingTop="7dp"
                android:text="列表"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_speed"
                app:layout_constraintTop_toTopOf="@id/tv_detail" />

            <com.yidianling.course.widget.AudioPlayView
                android:id="@+id/audio_play"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="28dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="2dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_detail" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>
